// TFResetPanel.cpp : implementation file
//

#include "stdafx.h"
#include "pixelwhippro.h"
#include "TFResetPanel.h"



extern CPixelWhipProApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CTFResetPanel dialog


CTFResetPanel::CTFResetPanel(CWnd* pParent /*=NULL*/)
	: CDynaPanel(CTFResetPanel::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTFResetPanel)
	m_tfcheck = FALSE;
	//}}AFX_DATA_INIT
}


void CTFResetPanel::DoDataExchange(CDataExchange* pDX)
{
	CDynaPanel::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTFResetPanel)
	DDX_Check(pDX, IDC_TFCHECK, m_tfcheck);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTFResetPanel, CDynaPanel)
	//{{AFX_MSG_MAP(CTFResetPanel)
	ON_BN_CLICKED(IDC_TFCHECK, OnTfcheck)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTFResetPanel message handlers

void CTFResetPanel::Set(void *dat)
{
ActDat=(bool *)dat;
m_tfcheck=*ActDat;
}

void CTFResetPanel::OnTfcheck() 
{
theApp.StopEffects();
	theApp.Modified=true;
if(ActDat==NULL) return;
UpdateData(TRUE);
*ActDat=m_tfcheck!=0;
theApp.StartEffects();
}
